/**************************************************************************
 *                                                                        *
 * Copyright (c) 1996 Michael Richmond and Richard Treffers               *
 *                                                                        *
 *                    This software may be copied and distributed for     *
 *                    educational, research and not for profit services   *
 *                    provided that this copyright and statement are      *
 *                    included in all such copies.                        *
 *                                                                        *
 **************************************************************************/


		/* note that "pcvistax.h" must be included before this ... */
#ifndef PCVISTAX
#include "pcvistax.h"
#endif

void do_zoom(XEvent *event, KeySym *key);
void do_profile_key(XEvent *event, KeySym *key);
void cleanup_profile(void);
void do_aperture_key(XEvent *event, KeySym *key);
void do_curveofgrowth_key(XEvent *event, KeySym *key);
void do_cursor_key(XEvent *event, KeySym *key);
void do_crosshair(void); 
void image_abort(void);
void image_save(void);
void image_wait(void);
void invert_cmap(void);
int image_curpos(int,int);
int open_window(char *name, int x_start, int y_start, int nr, int nc,
                int zoom, int bin);

	/* 
	 * we have two choices when opening a TV window:
	 *    TV_GREYSCALE        for most purposes 
	 *    TV_FALSECOLOR       when trying to make a pretty picture 
	 */
#define TV_GREYSCALE    1
#define TV_FALSECOLOR   2


	/* some parameters for the zooming functions */

#define ZOOM_IN_KEY    XK_z  /* press this key to get zoom in (string form) */
#define ZOOM_OUT_KEY   XK_Z  /* press this key to get zoom out (string form) */
#define ZOOM_FACTOR    3.0   /* amount by which to zoom */
#define ZOOM_SIZE      300   /* rough size of zoomed image window */
                             /*   (screen pix) */
#define ZOOM_OFFSET     50   /* offset of new window from last (screen pix) */
#define ZOOM_BOX        19   /* use this box for defining zoom windows */


	/* some parameters for the radial-profile functions */
#define PROFILE_KEY    XK_r     /* press this key to get radial profile */
#define PROFILE_BOXRAD   12     /* default radius of box from which we */
                                /*    extract data for making profile */
#define PROFILE_FITRAD  5.0     /* default radius for fitting gaussian to */
                                /*    data from radial profile */
#define PROFILE_DELTAX  0.25    /* draw fitted profile at this interval */
                                /*     in radius */
#define PROFILE_DATAFILE  "Q_prof.dat"  /* name of file holding profile data */
#define PROFILE_FITFILE   "Q_prof.fit"  /* name of file with fitted gaussian */
#define PROFILE_CMDFILE   "Q_prof.plt"  /* name of file with xplot commands */


	/* some parameters for the aperture photometry functions */
#define APERTURE_KEY      XK_a   /* press this key to get aperture phot */
#define APERTURE_INNERSKY 10.0   /* default radius of inner edge of sky */
                                 /*    annulus */
#define APERTURE_OUTERSKY 20.0   /* default radius of outer edge of sky */
                                 /*    annulus */
#define APERTURE_RADIUS    5.0   /* default radius for integrating light */
#define APERTURE_MAGZERO  25.0   /* default zero point of mag scale */

#define CURVEOFG_KEY      XK_c   /* press this key to get curve-of-growth */
#define CURVEOFG_NPOINTS   3     /* default number of radii for */
                            	 /*    curve of growth */
#define CURVEOFG_MAXPOINTS 20	 /* no more than this many points in curve */
#define CURVEOFG_R1        1     /* default radius for first aperture in */
                            	 /*    curve of growth */
#define CURVEOFG_R2        2     /* default radius for second aperture in */
                            	 /*    curve of growth */
#define CURVEOFG_R3        5     /* default radius for third aperture in */
                            	 /*    curve of growth */


	/* some parameters for the cursor-key functions */
#define LEFT_KEY      XK_Left
#define RIGHT_KEY     XK_Right
#define UP_KEY        XK_Up
#define DOWN_KEY      XK_Down

